#ifndef BADGE_IRU_H
#define BADGE_IRU_H

//IRU OPCODES
#define   IRU_GET_STATUS    0x81
#define   IRU_GET_IR        0x82
#define   IRU_SEND_IR       0x83
#define   IRU_GET_UART      0x84
#define   IRU_SEND_UART     0x85

//STATUS BITS
#define   UART_RX_STATUS    0x01
#define   IR_RX_STATUS      0x02

unsigned char badge_iru_status(void);
unsigned char badge_iru_get_uart_byte(void);
unsigned char badge_iru_get_ir_byte(void);
void badge_iru_send_uart_byte(unsigned char out_byte);
void badge_iru_send_ir_byte(unsigned char out_byte);

#endif
