
#include "badge_basics.h"

unsigned char get_motor_status(void) 
{
  if (P4OUT & MOTOR) return (TRUE);
  else return (FALSE);
}


unsigned char badge_poll_switch(void)
{
  if (!(P2IN & SW_UP)) {
    if (!(P2IN & SW_DOWN)) {
      return SWITCH_IN;
    } else {
      return SWITCH_UP;
    }
  } else if (!(P2IN & SW_DOWN)) {
    return SWITCH_DOWN;
  } else {
    return SWITCH_NO;
  } 
}

void badge_motor(unsigned char on_off)
{
  if (on_off){
    P4OUT |= MOTOR;
  } else {
    P4OUT &= ~(MOTOR);
  }
}

void Wait(int ms) 
{
    unsigned long wait;
    
    wait=(unsigned long)ms*(SYSCLK/1000)/10;
    while (wait--);

}

