
#ifndef BADGE_FLASH_H
#define BADGE_FLASH_H

#define BUFFER1   1
#define BUFFER2   2

unsigned char badge_flash_status(void);
void badge_flash_cont_array_read(unsigned char *pFlashBuffer, unsigned long address, unsigned int dataLen);
void badge_flash_main_mem_read(unsigned char *pFlashBuffer, unsigned long address, unsigned int dataLen);
void badge_flash_buffer_read(unsigned char *pFlashBuffer, unsigned long address, unsigned int dataLen, unsigned char buffer2Use);
void badge_flash_buffer_write(unsigned char *pFlashBuffer, unsigned long address, unsigned int dataLen, unsigned char buffer2Use);
void badge_flash_buffer2main_mem(unsigned char *pFlashBuffer, unsigned long address, unsigned char buffer2Use);
void badge_flash_buffer2main_mem_noerase(unsigned char *pFlashBuffer, unsigned long address, unsigned char buffer2Use);
void badge_flash_main_mem_write(unsigned char *pFlashBuffer, unsigned long address, unsigned int dataLen, unsigned char buffer2Use);
void badge_flash_page_erase(unsigned char *pFlashBuffer, unsigned long address);
void badge_flash_block_erase(unsigned char *pFlashBuffer, unsigned long address);
void badge_flash_main_mem2buffer(unsigned char *pFlashBuffer, unsigned long address, unsigned char buffer2Use);
void badge_flash_auto_rewrite(unsigned char *pFlashBuffer, unsigned long address, unsigned char buffer2Use);
unsigned char badge_flash_buffer2main_compare(unsigned char *pFlashBuffer, unsigned long address, unsigned char buffer2Use);

#endif
