
#include "badge_init.h"
#include "badge_rf.h"
#include "badge_isr.h"


void send_byte(unsigned char byte_to_send) 
{


  unsigned char buf_empty = 0;

//  if(rf_uart_buffer.buffer_tail == rf_uart_buffer.buffer_head ) buf_empty = 1;
  rf_uart_buffer.buffer[rf_uart_buffer.buffer_tail++] = byte_to_send;
  if (rf_uart_buffer.buffer_tail == DATA_BUFFER_LENGTH) rf_uart_buffer.buffer_tail = 0;
  if ((tx_active == 0)) {
    tx_active = 1;
    TXBUF1 = rf_uart_buffer.buffer[rf_uart_buffer.buffer_head++];
    if (rf_uart_buffer.buffer_head == DATA_BUFFER_LENGTH) rf_uart_buffer.buffer_head = 0;
//    IFG2 |= UTXIFG1;                                    //MANUALLY TRIGGER INTERRUPT
  } 

}

void usart1_tx (void) __interrupt[UART1TX_VECTOR] 
{

  if (rf_uart_buffer.buffer_tail != rf_uart_buffer.buffer_head) {
    //BUFFER IS NOT EMPTY -- SEND NEXT BYTE
    TXBUF1 = rf_uart_buffer.buffer[rf_uart_buffer.buffer_head];
    rf_uart_buffer.buffer_head++;
    if (rf_uart_buffer.buffer_head == DATA_BUFFER_LENGTH) rf_uart_buffer.buffer_head = 0;
  } else {
    tx_active = 0;
  }

}

