#ifndef BADGE_LCD_H
#define BADGE_LCD_H

#include <string.h>

#define   LCD1    1
#define   LCD2    2

void LCD_Backlight_Dimmer_Init(unsigned char lcd_num);
void LCD_Set_Backlight_Intensity(unsigned short intensity,unsigned char lcd_num);
void LCD_Init (unsigned char lcd_num);
void LCD_Clear (unsigned char lcd_num);
void LCD_Home (unsigned char lcd_num);
void LCD_DisplayCharacter (unsigned char a_char, unsigned char lcd_num);
void LCD_DisplayString (unsigned char row, unsigned char column, char *string, unsigned char lcd_num);
void LCD_DisplayStringCentered (unsigned char row, char *string, unsigned char lcd_num);
void LCD_Cursor (unsigned char row, unsigned char column, unsigned char lcd_num);
void LCD_DisplayScreen (unsigned char *ptr, unsigned char lcd_num);
void LCD_WipeOnLR (unsigned char *ptr, unsigned char lcd_num);
void LCD_WipeOnRL (unsigned char *ptr, unsigned char lcd_num);
void LCD_WipeOffLR (unsigned char lcd_num);
void LCD_WipeOffRL (unsigned char lcd_num);
void LCD_DisplayRow (unsigned char row, unsigned char *string,unsigned char lcd_num);
void LCD_CursorLeft (unsigned char lcd_num);
void LCD_CursorRight (unsigned char lcd_num);
void LCD_CursorOn (unsigned char lcd_num);
void LCD_CursorOff (unsigned char lcd_num);
void LCD_DisplayOff (unsigned char lcd_num);
void LCD_DisplayOn (unsigned char lcd_num);
void LCD_DefineChar (unsigned char address, const unsigned char *pattern,unsigned char lcd_num);
void LCD_InitDriver (unsigned char lcd_num);
void LCD_WriteControl (unsigned char in_data, unsigned char lcd_num);
void LCD_WriteData (unsigned char in_data, unsigned char lcd_num);

#endif

