#ifndef BADGE_LEDS_H
#define BADGE_LEDS_H

#include "badge_init.h"
#include <msp430x14x.h>

#define   BLINK_FAST    1
#define   BLINK_SLOW    0

void badge_single_led (unsigned char led, unsigned char brightness);
void badge_led_grid_init (void);
void badge_led_grid_intensity (unsigned char intensity);
void badge_led_grid_shutdown (void);
void badge_led_grid_clear (void);
void badge_led_grid_draw_screen (unsigned int row1, unsigned int row2, unsigned int row3, unsigned int row4, unsigned int row5);
void badge_led_grid_blink (unsigned char on_off, unsigned char speed);
void badge_led_grid_draw_screen_2 (unsigned int row1, unsigned int row2, unsigned int row3, unsigned int row4, unsigned int row5);
void badge_led_grid_draw_row (unsigned char row_num, unsigned int row_data);
void badge_led_grid_draw_row_2 (unsigned char row_num, unsigned int row_data);


#endif

